
#include "config.h"

#include "PropertyName.h"

namespace JSC {

bool isCanonicalNumericIndexString(const PropertyName& propertyName)
{
    StringImpl* property = propertyName.uid();
    if (UNLIKELY(!property))
        return false;
    if (property->isSymbol())
        return false;
    if (equal(*property, ASCIILiteral("-0")))
        return true;
    double index = jsToNumber(property);
    NumberToStringBuffer buffer;
    const char* indexString = WTF::numberToString(index, buffer);
    if (!equal(*property, indexString))
        return false;
    return true;
}

}
