
#pragma once

#include "VM.h"

namespace JSC
{

class StackEntryScope
{
public:
	StackEntryScope(VM& vm, unsigned limit)
	: m_stackLimit(vm.m_stackLimit)
	, m_isTopStackEntry(!vm.m_stackLimit)
	{
		if(m_isTopStackEntry) {
	        ASSERT(wtfThreadData().stack().isGrowingDownward());
	        int8_t* curr = reinterpret_cast<int8_t*>(&curr);
	        m_stackLimit = curr - limit;
		}
	}

	~StackEntryScope()
	{
		if(m_isTopStackEntry)
			m_stackLimit = 0;
	}

    bool isSafeToRecurse() const
    {
        ASSERT(wtfThreadData().stack().isGrowingDownward());
        int8_t* curr = reinterpret_cast<int8_t*>(&curr);
        int8_t* limit = reinterpret_cast<int8_t*>(m_stackLimit);
        return curr >= limit;
    }

private:
	void*& m_stackLimit;
	bool m_isTopStackEntry;
};


}
