/*
    This file is part of the WebKit open source project.
    This file has been generated by generate-bindings.pl. DO NOT MODIFY!

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#include "config.h"

#if !HAVE(BINDINGS_ALL_IN_ONE)
#if ENABLE(INTERSECTION_OBSERVER)

#include "JSIntersectionObserver.h"

#include "Document.h"
#include "Element.h"
#include "ExceptionCode.h"
#include "IntersectionObserver.h"
#include "IntersectionObserverEntry.h"
#include "JSDOMBinding.h"
#include "JSDOMConstructor.h"
#include "JSDOMConvert.h"
#include "JSIntersectionObserverCallback.h"
#include "JSIntersectionObserverEntry.h"
#include "JSNode.h"
#include "JSNodeCustom.h"
#include "ScriptExecutionContext.h"
#include <runtime/Error.h>
#include <runtime/FunctionPrototype.h>
#include <runtime/JSArray.h>
#include <runtime/JSString.h>
#include <runtime/ObjectPrototype.h>
#include <wtf/GetPtr.h>

using namespace JSC;

namespace WebCore {

JSC::JSValue JSIntersectionObserver::takeRecords(ExecState* state)
{
    VM& vm = state->vm();

    JSValue thisValue = state->thisValue();
    auto castedThis = JSC::jsDynamicCast<JSIntersectionObserver*>(thisValue);
    if (UNLIKELY(!castedThis))
        return JSValue::decode(throwThisTypeError(*state, "IntersectionObserver", "takeRecords"));
    ASSERT_GC_OBJECT_INHERITS(castedThis, JSIntersectionObserver::info());
    IntersectionObserver& impl = static_cast<IntersectionObserver&>(castedThis->wrapped());

    auto takenRecords = impl.takeRecords();
    return jsArrayOrNull(state, castedThis->globalObject(), takenRecords.records);
}

void JSIntersectionObserver::visitAdditionalChildren(JSC::SlotVisitor& visitor)
{
    if (auto* callback = wrapped().callbackConcurrently())
        visitor.addOpaqueRoot(callback);
	visitor.addOpaqueRoot(root(wrapped().root()));
}

bool JSIntersectionObserverOwner::isReachableFromOpaqueRoots(JSC::Handle<JSC::Unknown> handle, void*, JSC::SlotVisitor& visitor/*, const char** reason*/)
{
    if (jsCast<JSIntersectionObserver*>(handle.slot()->asCell())->wrapped().isReachableFromOpaqueRoots(visitor)) {
#if 0
        if (UNLIKELY(reason))
            *reason = "Reachable from observed nodes";
#endif
        return true;
    }
    return false;
}

}

#endif // ENABLE(INTERSECTION_OBSERVER)
#endif // !HAVE(BINDINGS_ALL_IN_ONE)
