/*
    This file is part of the WebKit open source project.
    This file has been generated by generate-bindings.pl. DO NOT MODIFY!

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#include "config.h"

#if ENABLE(WEB_RTC)

#include "JSRTCIceServer.h"

#include "JSDOMConvert.h"
#include <runtime/ObjectConstructor.h>

using namespace JSC;

namespace WebCore {

#if ENABLE(WEB_RTC)

template<> RTCIceServer convertDictionary<RTCIceServer>(ExecState& state, JSValue value)
{
    VM& vm = state.vm();
    //auto throwScope = DECLARE_THROW_SCOPE(vm);
    bool isNullOrUndefined = value.isUndefinedOrNull();
    JSObject* object = isNullOrUndefined ? 0 : value.getObject();
    if (UNLIKELY(!isNullOrUndefined && !object)) {
        throwTypeError(&state, vm);
        return RTCIceServer();
    }
    RTCIceServer result;
    JSValue credentialValue = isNullOrUndefined ? jsUndefined() : object->get(vm, &state, Identifier::fromString(vm, "credential"));
    if (!credentialValue.isUndefined()) {
    	result.credential = convert<String >(state, credentialValue);
        if(UNLIKELY(vm.exception()))
            return RTCIceServer();
    }
    JSValue urlsValue = isNullOrUndefined ? jsUndefined() : object->get(vm, &state, Identifier::fromString(vm, "urls"));
    if (!urlsValue.isUndefined()) {
		if(urlsValue.isObject())
			result.urls = convert<Vector<String> >(state, urlsValue);
		else
			result.urls.append(convert<String>(state, urlsValue));
        if(UNLIKELY(vm.exception()))
            return RTCIceServer();
    }
    JSValue usernameValue = isNullOrUndefined ? jsUndefined() : object->get(vm, &state, Identifier::fromString(vm, "username"));
    if (!usernameValue.isUndefined()) {
    	result.username = convert<String >(state, usernameValue);
        if(UNLIKELY(vm.exception()))
            return RTCIceServer();
    }
    return WTFMove(result);
}

#endif


} // namespace WebCore

#endif // ENABLE(WEB_RTC)

