/*
 * Copyright (C) 2010 Apple Inc. All Rights Reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY APPLE INC. ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL APPLE INC. OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
 * PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
 */

// This all-in-one cpp file cuts down on template bloat to allow us to build our Windows release build.

#include "config.h"
#include "Source/WebCore/editing/AlternativeTextController.cpp"
#include "Source/WebCore/editing/AppendNodeCommand.cpp"
#include "Source/WebCore/editing/ApplyBlockElementCommand.cpp"
#include "Source/WebCore/editing/ApplyStyleCommand.cpp"
#include "Source/WebCore/editing/BreakBlockquoteCommand.cpp"
#include "Source/WebCore/editing/CompositeEditCommand.cpp"
#include "Source/WebCore/editing/CreateLinkCommand.cpp"
#include "Source/WebCore/editing/DeleteFromTextNodeCommand.cpp"
#include "Source/WebCore/editing/DeleteSelectionCommand.cpp"
#include "Source/WebCore/editing/DictationAlternative.cpp"
#include "Source/WebCore/editing/DictationCommand.cpp"
#include "Source/WebCore/editing/EditCommand.cpp"
#include "Source/WebCore/editing/EditingStyle.cpp"
#include "Source/WebCore/editing/EditorCommand.cpp"
#include "Source/WebCore/editing/Editor.cpp"
#include "Source/WebCore/editing/FormatBlockCommand.cpp"
#include "Source/WebCore/editing/FrameSelection.cpp"
#include "Source/WebCore/editing/htmlediting.cpp"
#include "Source/WebCore/editing/HTMLInterchange.cpp"
#include "Source/WebCore/editing/IndentOutdentCommand.cpp"
#include "Source/WebCore/editing/InsertIntoTextNodeCommand.cpp"
#include "Source/WebCore/editing/InsertLineBreakCommand.cpp"
#include "Source/WebCore/editing/InsertListCommand.cpp"
#include "Source/WebCore/editing/InsertNodeBeforeCommand.cpp"
#include "Source/WebCore/editing/InsertParagraphSeparatorCommand.cpp"
#include "Source/WebCore/editing/InsertTextCommand.cpp"
#include "Source/WebCore/editing/markup.cpp"
#include "Source/WebCore/editing/MarkupAccumulator.cpp"
#include "Source/WebCore/editing/MergeIdenticalElementsCommand.cpp"
#include "Source/WebCore/editing/ModifySelectionListLevel.cpp"
#include "Source/WebCore/editing/MoveSelectionCommand.cpp"
#include "Source/WebCore/editing/RemoveCSSPropertyCommand.cpp"
#include "Source/WebCore/editing/RemoveFormatCommand.cpp"
#include "Source/WebCore/editing/RemoveNodeCommand.cpp"
#include "Source/WebCore/editing/RemoveNodePreservingChildrenCommand.cpp"
#include "Source/WebCore/editing/RenderedPosition.cpp"
#include "Source/WebCore/editing/ReplaceNodeWithSpanCommand.cpp"
#include "Source/WebCore/editing/ReplaceRangeWithTextCommand.cpp"
#include "Source/WebCore/editing/ReplaceSelectionCommand.cpp"
#include "Source/WebCore/editing/SetNodeAttributeCommand.cpp"
#include "Source/WebCore/editing/SetSelectionCommand.cpp"
#include "Source/WebCore/editing/SimplifyMarkupCommand.cpp"
#include "Source/WebCore/editing/SmartReplace.cpp"
#include "Source/WebCore/editing/SmartReplaceICU.cpp"
#include "Source/WebCore/editing/SpellChecker.cpp"
#include "Source/WebCore/editing/SpellingCorrectionCommand.cpp"
#include "Source/WebCore/editing/SplitElementCommand.cpp"
#include "Source/WebCore/editing/SplitTextNodeCommand.cpp"
#include "Source/WebCore/editing/SplitTextNodeContainingElementCommand.cpp"
#include "Source/WebCore/editing/TextCheckingHelper.cpp"
#include "Source/WebCore/editing/TextInsertionBaseCommand.cpp"
#include "Source/WebCore/editing/TextIterator.cpp"
#include "Source/WebCore/editing/TypingCommand.cpp"
#include "Source/WebCore/editing/UndoManager.cpp"
#include "Source/WebCore/editing/UnlinkCommand.cpp"
#include "Source/WebCore/editing/VisiblePosition.cpp"
#include "Source/WebCore/editing/VisibleSelection.cpp"
#include "Source/WebCore/editing/visible_units.cpp"
#include "Source/WebCore/editing/WrapContentsInDummySpanCommand.cpp"
