/*
 * Copyright (C) Research In Motion Limited 2009. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#include "config.h"
#include "FontCache.h"

#include "FontDescription.h"
#include "FontPlatformData.h"
#include "NotImplemented.h"
#include "Font.h"

namespace WebCore {

PassRefPtr<Font> FontCache::getFontDataForCharacters(const FontCascade&, const UChar* characters, int length)
{
    return 0;
}

void FontCache::platformInit()
{
}

void FontCache::getTraitsInFamily(const AtomicString& familyName, Vector<unsigned>& traitsMasks)
{
    notImplemented();
}

DLL_PUBLIC PassRefPtr<Font> FontCache::getLastResortFallbackFont(const FontDescription& fontDescription, ShouldRetain shouldRetain)
{
    return getCachedFontData(fontDescription, AtomicString("Sans"), false, shouldRetain);
}

PassRefPtr<Font> FontCache::getSimilarFontPlatformData(const FontCascade& font)
{
    return 0;
}

FontPlatformData* FontCache::createFontPlatformData(const FontDescription& fontDescription, const AtomicString& family)
{
    const bool bold = isFontWeightBold(fontDescription.weight());
    const bool italic = isItalic(fontDescription.italic());

    return new FontPlatformData(fontDescription.computedSize(), bold, italic);
}

}
